Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.ognl
Class OgnlValueStackFactory

    java.lang.Object
      com.opensymphony.xwork2.ognl.OgnlValueStackFactory

All Implemented Interfaces:
  ValueStackFactory

    public class OgnlValueStackFactory

extends Object
implements ValueStackFactory

Creates an Ognl value stack

Constructor Summary
`OgnlValueStackFactory()`

Method Summary
`ValueStack` | `createValueStack()` Get a new instance of `ValueStack`
`ValueStack` | `createValueStack(ValueStack stack)` Get a new instance of `ValueStack`
`void` | `setAllowStaticMethodAccess(String allowStaticMethodAccess)`
`void` | `setContainer(Container container)`
`void` | `setTextProvider(TextProvider textProvider)`
`void` | `setXWorkConverter(XWorkConverter conv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OgnlValueStackFactory

    public OgnlValueStackFactory()

Method Detail

### setXWorkConverter

    public void setXWorkConverter(XWorkConverter conv)

### setTextProvider

    public void setTextProvider(TextProvider textProvider)

### setAllowStaticMethodAccess

    public void setAllowStaticMethodAccess(String allowStaticMethodAccess)

### createValueStack

    public ValueStack createValueStack()

  Description copied from interface: `ValueStackFactory`
  Get a new instance of `ValueStack`

  Specified by:
    `createValueStack` in interface `ValueStackFactory`
  Returns:
    a new `ValueStack`.

### createValueStack

    public ValueStack createValueStack(ValueStack stack)

  Description copied from interface: `ValueStackFactory`
  Get a new instance of `ValueStack`

  Specified by:
    `createValueStack` in interface `ValueStackFactory`
  Parameters:
    `stack` - an existing stack to include.
  Returns:
    a new `ValueStack`.

### setContainer

    public void setContainer(Container container)
                      throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.